Subject: Re: bug#7700: 24.0.50; C-y binding withing Isearch mode

From: Dani Moncayo <[email-masked]>
Date: Sat, 25 Dec 2010 12:15:00 +0100

On Sat, Dec 25, 2010 at 05:06, Stefan Monnier <[email-masked]> wrote:
>> Not much, provided that the <prefix> key was required only one time. I
>> think would be good to have that key as a switch to turn "grabbing
>> mode" on/off.
>
> But then means that the equivalent to C-y wouldn't be "<prefix> C-e" but
> "<prefix> C-e <prefix>", which is becoming significantly
> more burdensome.  We're slowly getting to the point where M-e becomes
> a worthy contender.  Maybe it's OK, but I was thinking of something more
> lightweight that would only accept one command so as to avoid needing an
> additional "exit" key.
>
Indeed. I take back that suggestion.

>>> I suggest instead that any standard forward movement command while in
>>> isearch forward mode should select the text to grab WITHOUT any
>>> prefix key.
>
> That might be a good choice, but:
> - we lack experimental evidence for that.
> - it would probably be too big a change to have that as a default behavior.
>
IMHO, that proposal would make text grabbing in Isearch (a) More
powerful (you could use every movement command to grab text), and (b)
easier/simpler (you already know the movement commands).

The only drawback I can see is to give up the possibility of exit
Isearch mode with a movement command, but IMO, this loss is
insignificant compared with the benefits.

-- 
Dani Moncayo